From: "Matthew Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-cache/
Date: Wed, 16 Jan 2019 15:18:18 +0000 (UTC) [thread overview]
Message-ID: <1547651885.d08a1b78af6f93f5e4fa498219d52ceab7b326e1.prometheanfire@gentoo> (raw)
commit: d08a1b78af6f93f5e4fa498219d52ceab7b326e1
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 16 15:07:41 2019 +0000
Commit: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Jan 16 15:18:05 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d08a1b78
dev-python/oslo-cache: 1.30.1 bump
Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>
dev-python/oslo-cache/Manifest | 1 +
dev-python/oslo-cache/oslo-cache-1.30.1.ebuild | 39 ++++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-python/oslo-cache/Manifest b/dev-python/oslo-cache/Manifest
index 44e3bfe4db9..97090096341 100644
--- a/dev-python/oslo-cache/Manifest
+++ b/dev-python/oslo-cache/Manifest
@@ -1 +1,2 @@
DIST oslo-cache-1.28.0.tar.gz 52015 BLAKE2B 897e54008ea99f367f373291d874736287dfd3d480046bdee0ab2b54969e8681144677713794ff32682b1ef65547618d5fcf403e9ae24b57768905daf7ae7f5e SHA512 44deabf9dbe3c24afd04d09f91f95d902221995130559e7895045eed98356ed9e085f5ee9b7e2bd0b4581df563a67707121b7571b0b7f822f0bb5a55b6dedafe
+DIST oslo-cache-1.30.1.tar.gz 53406 BLAKE2B 1b518c7f7af4b95fc71f76567f8742de7c7ab520cf4a1943fc7ed7bd9f3dcfd4150f83774e507d4135c7b567e53c3beb79a0cf6295c23e23d88a49d9ce63d2ed SHA512 8ee8ef32d07e8112aa7280f541446d13b3bba90fc7314eee60972180b0382a413e02cfcffbdd5bf4313aa394a25265665579f43f702a4b3754dc00f50441ca38
diff --git a/dev-python/oslo-cache/oslo-cache-1.30.1.ebuild b/dev-python/oslo-cache/oslo-cache-1.30.1.ebuild
new file mode 100644
index 00000000000..71b251dd4d5
--- /dev/null
+++ b/dev-python/oslo-cache/oslo-cache-1.30.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
+
+inherit distutils-r1 vcs-snapshot
+
+MY_PN=${PN/-/.}
+
+DESCRIPTION="Oslo Caching around dogpile.cache"
+HOMEPAGE="https://launchpad.net/oslo"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/dogpile-cache-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.30.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.31.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2019-01-16 15:18 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-01-16 15:18 Matthew Thode [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-11-27 16:18 [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-cache/ Michał Górny
2020-11-25 9:23 Michał Górny
2020-07-02 23:54 Matthew Thode
2020-06-02 18:40 Matthew Thode
2019-06-16 6:59 Matthew Thode
2019-05-17 15:39 Matthew Thode
2019-05-11 18:17 Matthew Thode
2019-05-07 1:54 Matthew Thode
2019-03-25 0:07 Matthew Thode
2019-03-13 16:44 Matthew Thode
2019-02-15 16:15 Matthew Thode
2018-06-24 15:24 Pacho Ramos
2018-06-18 1:59 Matt Thode
2018-03-31 0:59 Matt Thode
2018-02-17 1:47 Matt Thode
2018-01-28 4:13 Matt Thode
2017-12-30 17:38 Matt Thode
2017-11-30 5:42 Matt Thode
2017-08-27 4:26 Matt Thode
2017-07-06 16:58 Matt Thode
2017-02-27 2:16 Matt Thode
2016-03-29 18:40 Matt Thode
2016-03-25 4:01 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1547651885.d08a1b78af6f93f5e4fa498219d52ceab7b326e1.prometheanfire@gentoo \
--to=prometheanfire@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox